• 欢迎来到Minecraft插件百科!
  • 对百科编辑一脸懵逼?帮助:快速入门带您快速熟悉百科编辑!
  • 因近日遭受攻击,百科现已限制编辑,有意编辑请加入插件百科企鹅群:223812289

Citizens/兼容性

From Minecraft插件百科
Jump to: navigation, search

已知 Citizens 2.0.4 的兼容性问题

  • Citizens 需要 CraftBukkit 1.4.5+
  • 设置pvp=false可能会与左键点击NPC的功能冲突,因为这可能会被视为攻击NPC,因此事件将不会触发.
  • 敌对生物类型的NPC的生成可能会在以下情况下被阻止:
    • 有一些插件会以最高优先级阻止生成,插件列表:
      • Essentials 会阻止NPC生成
      • WorldGuard 不会阻止NPC生成
      • MultiVerse 不会阻止NPC生成
  • Authme可能会在连接到Citizens2时引发控制台错误。
  • PvPToggle可能会在连接到Citizens2时引发控制台错误。
  • TeleportSuite在寻找NPC时可能会引发控制台错误。
  • HomeSpawnPlus可能会在使用木棍时阻止右键选择。
  • APIPlus可能会阻止所有右键点击。
  • PopulationDensity/GriefPrevention可能会在服务器启动的时候干扰NPC的生成,并且可能会在执行/reload命令时复制他们。
  • Heroes插件已知与玩家类型的NPC存在兼容性问题。请不要给他们ticketes,我们正试图与该插件作者Kainzo合作来解决这个问题。
  • CityScape也使用/npc指令,如果你同时装了这两个插件请使用/npc2来执行citizens2的指令。